org.apache.ignite.internal.processors.hadoop

## Class HadoopJobStatus

- java.lang.Object
- - org.apache.ignite.internal.processors.hadoop.HadoopJobStatus

All Implemented Interfaces:
  Externalizable, Serializable

    public class HadoopJobStatus
    extends Object
    implements Externalizable

Hadoop job status.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`HadoopJobStatus()` `Externalizable` support.
`HadoopJobStatus(HadoopJobId jobId, String jobName, String usr, int pendingMapperCnt, int pendingReducerCnt, int totalMapperCnt, int totalReducerCnt, HadoopJobPhase jobPhase, boolean failed, long ver)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isFailed()`
`HadoopJobId` `jobId()`
`String` `jobName()`
`HadoopJobPhase` `jobPhase()`
`int` `pendingMapperCnt()`
`int` `pendingReducerCnt()`
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`int` `totalMapperCnt()`
`int` `totalReducerCnt()`
`String` `user()`
`long` `version()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HadoopJobStatus

    public HadoopJobStatus()

`Externalizable` support.

#### HadoopJobStatus

    public HadoopJobStatus(HadoopJobId jobId,
                           String jobName,
                           String usr,
                           int pendingMapperCnt,
                           int pendingReducerCnt,
                           int totalMapperCnt,
                           int totalReducerCnt,
                           HadoopJobPhase jobPhase,
                           boolean failed,
                           long ver)

Constructor.

Parameters:
  `jobId` - Job ID.
  `jobName` - Job name.
  `usr` - User.
  `pendingMapperCnt` - Pending mappers count.
  `pendingReducerCnt` - Pending reducers count.
  `totalMapperCnt` - Total mappers count.
  `totalReducerCnt` - Total reducers count.
  `jobPhase` - Job phase.
  `failed` - Failed.
  `ver` - Version.

### Method Detail

#### jobId

    public HadoopJobId jobId()

Returns:
  Job ID.

#### jobName

    public String jobName()

Returns:
  Job name.

#### user

    public String user()

Returns:
  User.

#### pendingMapperCnt

    public int pendingMapperCnt()

Returns:
  Pending mappers count.

#### pendingReducerCnt

    public int pendingReducerCnt()

Returns:
  Pending reducers count.

#### totalMapperCnt

    public int totalMapperCnt()

Returns:
  Total mappers count.

#### totalReducerCnt

    public int totalReducerCnt()

Returns:
  Total reducers count.

#### version

    public long version()

Returns:
  Version.

#### jobPhase

    public HadoopJobPhase jobPhase()

Returns:
  Job phase.

#### isFailed

    public boolean isFailed()

Returns:
  `true` If the job failed.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019